diff -u alsa-lib-1.0.18/debian/rules alsa-lib-1.0.18/debian/rules
--- alsa-lib-1.0.18/debian/rules
+++ alsa-lib-1.0.18/debian/rules
@@ -178,11 +178,15 @@
 
 binary: binary-arch binary-indep
 
-clean: unpatch
+clean::
 	dh_testdir
 	dh_testroot
 	#-$(MAKE) distclean
 	[ ! -f Makefile ] || $(MAKE) distclean
+
+clean:: unpatch
+	dh_testdir
+	dh_testroot
 	-rm -f *-stamp
 	-rm -f config.sub config.guess config.status config.cache
 	-rm -rf doc/doxygen
diff -u alsa-lib-1.0.18/debian/changelog alsa-lib-1.0.18/debian/changelog
--- alsa-lib-1.0.18/debian/changelog
+++ alsa-lib-1.0.18/debian/changelog
@@ -1,3 +1,10 @@
+alsa-lib (1.0.18-2) experimental; urgency=low
+
+  * Enable AM_MAINTAINER_MODE in a way where it actually has effect
+    (closes: #505088)
+
+ -- Lionel Elie Mamane <lmamane@debian.org>  Wed, 19 Nov 2008 00:17:29 +0100
+
 alsa-lib (1.0.18-1) experimental; urgency=low
 
   * New upstream release.
